bm::bit_block_t::bunion_t Union Reference

`#include <bmutil.h>`

## Data Fields

bm::word_t BM_VECT_ALIGN w32[bm::set_block_size] | BM_VECT_ALIGN_ATTR
bm::id64_t BM_VECT_ALIGN w64[bm::set_block_size/2] | BM_VECT_ALIGN_ATTR
__m256i BM_VECT_ALIGN w256[bm::set_block_size/8] | BM_VECT_ALIGN_ATTR
__m128i BM_VECT_ALIGN w128[bm::set_block_size/4] | BM_VECT_ALIGN_ATTR

## Detailed Description

Definition at line 60 of file bmutil.h.

## Field Documentation

## BM_VECT_ALIGN_ATTR [1/4]

__m128i BM_VECT_ALIGN w128 [bm::set_block_size / 4] bm::bit_block_t::bunion_t::BM_VECT_ALIGN_ATTR

Definition at line 72 of file bmutil.h.

## BM_VECT_ALIGN_ATTR [2/4]

__m256i BM_VECT_ALIGN w256 [bm::set_block_size / 8] bm::bit_block_t::bunion_t::BM_VECT_ALIGN_ATTR

Definition at line 69 of file bmutil.h.

## BM_VECT_ALIGN_ATTR [3/4]

bm::id64_t BM_VECT_ALIGN w64 [bm::set_block_size / 2] bm::bit_block_t::bunion_t::BM_VECT_ALIGN_ATTR

Definition at line 63 of file bmutil.h.

## BM_VECT_ALIGN_ATTR [4/4]

bm::word_t BM_VECT_ALIGN w32 [bm::set_block_size] bm::bit_block_t::bunion_t::BM_VECT_ALIGN_ATTR

Definition at line 62 of file bmutil.h.

The documentation for this union was generated from the following file:

- bmutil.h